Bug 845550 - [remote-viewer] Enabling auto resize results in wrong resolution
[remote-viewer] Enabling auto resize results in wrong resolution
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Marc-Andre Lureau
Virtualization Bugs
:
Depends On:
Blocks: 856610 991291
  Show dependency treegraph
 
Reported: 2012-08-03 08:20 EDT by Tomas Jamrisko
Modified: 2014-06-18 00:28 EDT (History)
8 users (show)

See Also:
Fixed In Version: virt-viewer-0.5.7-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 856610 991291 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:19:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Jamrisko 2012-08-03 08:20:08 EDT
Description of problem:

Connecting to a VM using remote-viewer and spice and later disabling and then reenabling automatic window resize results in window being rather small.

Version-Release number of selected component (if applicable):
virt-viewer-0.5.3-1.el7.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Connect to a running VM (it doesn't necesarilly have to run vdagent)
2. Disable auto resize (view -> Automatically resize) (it should be enabled by default)
3. Enable auto resize
  
Actual results:
Window gets resized, and it's rather small, VM has to be scaled

Expected results:
Size of the window shouldn't change (or it should be 1:1 with VM resolution), definitely not tiny


Additional info:
Happens also in RHEL 6.3
Tested just with windows guests
Comment 3 Christophe Fergeau 2013-11-04 05:39:14 EST
Corresponding RHEL6 bug (rhbz#856610) was fixed upstream and is VERIFIED in RHEL6.
Comment 5 CongDong 2013-11-06 22:31:45 EST
I can reproduce this with:

# rpm -qa virt-viewer spice*
virt-viewer-0.5.4-2.el7.x86_64
spice-server-0.12.2-1.el7.x86_64
spice-glib-0.16-3.el7.x86_64
spice-vdagent-0.12.1-1.el7.x86_64
spice-gtk-0.16-3.el7.x86_64
spice-xpi-2.8-4.el7.x86_64
spice-gtk3-0.16-3.el7.x86_64
spice-gtk-python-0.16-3.el7.x86_64

Steps:
1. Connect to a running VM (it doesn't necesarilly have to run vdagent)
2. Disable auto resize (view -> Automatically resize) (it should be enabled by default)
3. Enable auto resize

Result:
Window gets resized, and it's rather small

Verify with:
# rpm -qa virt-viewer spice*
spice-xpi-2.8-4.el7.x86_64
spice-server-0.12.4-3.el7.x86_64
spice-glib-0.20-6.el7.x86_64
virt-viewer-0.5.7-2.el7.x86_64
spice-vdagent-0.14.0-5.el7.x86_64
spice-gtk3-0.20-6.el7.x86_64

Steps:
1. Connect to a running VM (it doesn't necesarilly have to run vdagent)
2. Disable auto resize (view -> Automatically resize) (it should be enabled by default)
3. Enable auto resize

Result:
The window size and resolution don't change.

As the result, so VERIFIED
Comment 6 Ludek Smid 2014-06-13 08:19:47 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.